Configure Tracking Keywords

triangle-exclamation

To effectively use this API, it is essential to configure the appropriate keywords that will be tracked. However, there are some Limitations while tracking conversations.

If the WABA is registered in On-premise API

If the WABA is registered in the on-premise API, the system can only track keywords coming in messages that were sent from the lead to the business. This means that you would need to use Interactive messages to make sure that keywords are also used by the user.

If the WABA is registered in Cloud API

If the WABA is registered in the Cloud API the system can track the keywords coming from the lead and the business.

Best Practices

Here are some Best Practices that you can follow to configure keywords for the Ads & Measurements API:

  1. Define your campaign objectives: Before you begin configuring keywords, it is essential to have a clear understanding of your campaign objectives. This will help you determine the types of keywords that you should track.

  2. Identify relevant keywords: Once you have defined your campaign objectives, you can start identifying relevant keywords. These are the words and phrases that users are likely to search for when looking for products or services related to your campaign. Try to configure "unique" keywords to track - it will help avoid false-positive results

  3. Configure the Ads & Measurements API: After identifying keywords, you can configure the Ads & Measurements API to track the performance of each group of keywords.

  4. Monitor performance: Once you have configured the ADS e measurements API to track your keywords, it is important to monitor performance regularly. This will help you identify areas where you need to make changes to optimize your campaigns.

Try to configure unique keywords to track - it will help avoid false-positive results. General keywords like "Yes", "No", "Hello", "Thank you", etc. - can be a way to ruin statistics for conversion data.

Setup (add) conversion

Create new conversion (keyword)

POST https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}/keywords

Send a POST request to create new Conversion (Keyword to track)

Request Body

Name
Type
Description

keyword*

string

{​ "keyword": "Product ordered"​ ​}

Update existing conversion

Update conversion (keyword)

PATCH https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}/keywords/{keyword_id}

Send a PATCH request to modify Conversion (Keyword to track) - by keyword_id

Deactivate the given keyword & create a new one (the API will return new keyword_id in reply)

Request Body

Name
Type
Description

keyword

string

{​ "keyword": "I would like to subscribe for a newsletter!!!"​ ​}

Delete (disable) existing conversion

Delete conversion (keyword)

DELETE https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}/keywords/{keyword_id}

Send a DELETE request to delete Conversion (Keyword to track) - by keyword_id;

Deactivate given keyword (soft delete)

Read existing conversion

Retrieve conversion (keyword)

GET https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}/keywords/{keyword_id}

Send a GET request and read Conversion (Keyword) by id.

Read list of existing conversions

Retrieve list of conversions (keywords)

GET https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}/keywords

Send a GET request and read list of Conversions (Keywords);

Work with pagination concept: offset & limit params available;

Query Parameters

Name
Type
Description

offset

string

Starts from 0

limit

string

From 1 to 100; Default 20

status

string

"a" or "d"

Last updated

Was this helpful?